<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:55 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Hexagon (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Hexagon (APP)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Hexagon.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../towerwarspp/io/GraphicIO.html" title="class in towerwarspp.io"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/io/Hexagon.html" target="_top">Frames</a></li>
<li><a href="Hexagon.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">towerwarspp.io</div>
<h2 title="Class Hexagon" class="title">Class Hexagon</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>towerwarspp.io.Hexagon</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Hexagon</span>
extends java.lang.Object</pre>
<div class="block">Class <a href="../../towerwarspp/io/Hexagon.html" title="class in towerwarspp.io"><code>Hexagon</code></a> creates a single Hexagon

 This Class creates an Object of <a href="../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io"><code>Hexagon.Center</code></a> in which are the Coordinates of the Center.
 The Class creates also an Object of <a href="../../towerwarspp/io/Hexagon.Corner.html" title="class in towerwarspp.io"><code>Hexagon.Corner</code></a> which calculates the <a href="../../towerwarspp/io/Hexagon.Corner.html" title="class in towerwarspp.io"><code>Hexagon.Corner</code></a> based on the <a href="../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io"><code>Hexagon.Center</code></a>.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>0.4 July 14th 2017</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Kai Kuhlmann</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io">Hexagon.Center</a></span></code>
<div class="block">Class <a href="../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io"><code>Hexagon.Center</code></a> creates a single Center.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/Hexagon.Corner.html" title="class in towerwarspp.io">Hexagon.Corner</a></span></code>
<div class="block">Class <a href="../../towerwarspp/io/Hexagon.Corner.html" title="class in towerwarspp.io"><code>Hexagon.Corner</code></a> creates a single Corner.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io">Hexagon.Center</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/Hexagon.html#center">center</a></span></code>
<div class="block">Private center of the Hexagon</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../towerwarspp/io/Hexagon.Corner.html" title="class in towerwarspp.io">Hexagon.Corner</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/Hexagon.html#corners">corners</a></span></code>
<div class="block">Private Array of corners</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/Hexagon.html#position">position</a></span></code>
<div class="block">Private x and y Coordinate(not pixels)</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../towerwarspp/io/Hexagon.html#Hexagon-int-int-int-towerwarspp.preset.Position-">Hexagon</a></span>(int&nbsp;x,
       int&nbsp;y,
       int&nbsp;size,
       <a href="../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;position)</code>
<div class="block">Constructor

 Set the <a href="../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io"><code>Hexagon.Center</code></a>, <a href="../../towerwarspp/io/Hexagon.Corner.html" title="class in towerwarspp.io"><code>Hexagon.Corner</code></a> and the <a href="../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset"><code>Position</code></a>.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>(package private) <a href="../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io">Hexagon.Center</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/Hexagon.html#getCenter--">getCenter</a></span>()</code>
<div class="block">Getter for Center.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>(package private) <a href="../../towerwarspp/io/Hexagon.Corner.html" title="class in towerwarspp.io">Hexagon.Corner</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/Hexagon.html#getCorners--">getCorners</a></span>()</code>
<div class="block">Getter of the Corners of the Hexagon.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/Hexagon.html#getPosition--">getPosition</a></span>()</code>
<div class="block">Getter of the Position of the Hexagon.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/Hexagon.html#setCenter-int-int-">setCenter</a></span>(int&nbsp;x,
         int&nbsp;y)</code>
<div class="block">Setter of the center of the Hexagon.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/Hexagon.html#setCorners-towerwarspp.io.Hexagon.Center-int-">setCorners</a></span>(<a href="../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io">Hexagon.Center</a>&nbsp;center,
          int&nbsp;size)</code>
<div class="block">Setter of the corners of the Hexagon.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/Hexagon.html#setPosition-towerwarspp.preset.Position-">setPosition</a></span>(<a href="../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;position)</code>
<div class="block">Setter of the position of the Hexagon.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/io/Hexagon.html#updateHexagon-int-int-int-">updateHexagon</a></span>(int&nbsp;x,
             int&nbsp;y,
             int&nbsp;size)</code>
<div class="block">Updates the Hexagon.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="position">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>position</h4>
<pre>private&nbsp;<a href="../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a> position</pre>
<div class="block">Private x and y Coordinate(not pixels)</div>
</li>
</ul>
<a name="corners">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>corners</h4>
<pre>private&nbsp;<a href="../../towerwarspp/io/Hexagon.Corner.html" title="class in towerwarspp.io">Hexagon.Corner</a>[] corners</pre>
<div class="block">Private Array of corners</div>
</li>
</ul>
<a name="center">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>center</h4>
<pre>private&nbsp;<a href="../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io">Hexagon.Center</a> center</pre>
<div class="block">Private center of the Hexagon</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Hexagon-int-int-int-towerwarspp.preset.Position-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Hexagon</h4>
<pre>Hexagon(int&nbsp;x,
        int&nbsp;y,
        int&nbsp;size,
        <a href="../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;position)</pre>
<div class="block">Constructor

 Set the <a href="../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io"><code>Hexagon.Center</code></a>, <a href="../../towerwarspp/io/Hexagon.Corner.html" title="class in towerwarspp.io"><code>Hexagon.Corner</code></a> and the <a href="../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset"><code>Position</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - X-Coordinate of center</dd>
<dd><code>y</code> - Y-Coordinate of center</dd>
<dd><code>size</code> - the radius from center to corner</dd>
<dd><code>position</code> - Position of the Hexagon</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getPosition--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPosition</h4>
<pre>public&nbsp;<a href="../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;getPosition()</pre>
<div class="block">Getter of the Position of the Hexagon.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the Position of the Hexagon</dd>
</dl>
</li>
</ul>
<a name="setPosition-towerwarspp.preset.Position-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPosition</h4>
<pre>private&nbsp;void&nbsp;setPosition(<a href="../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;position)</pre>
<div class="block">Setter of the position of the Hexagon.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - Position of the Hexagon</dd>
</dl>
</li>
</ul>
<a name="getCenter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCenter</h4>
<pre><a href="../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io">Hexagon.Center</a>&nbsp;getCenter()</pre>
<div class="block">Getter for Center.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the Center of the Hexagon</dd>
</dl>
</li>
</ul>
<a name="getCorners--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCorners</h4>
<pre><a href="../../towerwarspp/io/Hexagon.Corner.html" title="class in towerwarspp.io">Hexagon.Corner</a>[]&nbsp;getCorners()</pre>
<div class="block">Getter of the Corners of the Hexagon.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Retruns an Array of the corners of the Hexagon</dd>
</dl>
</li>
</ul>
<a name="setCenter-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCenter</h4>
<pre>private&nbsp;void&nbsp;setCenter(int&nbsp;x,
                       int&nbsp;y)</pre>
<div class="block">Setter of the center of the Hexagon.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - X-Coordinate of center</dd>
<dd><code>y</code> - Y-Coordinate of center</dd>
</dl>
</li>
</ul>
<a name="setCorners-towerwarspp.io.Hexagon.Center-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCorners</h4>
<pre>private&nbsp;void&nbsp;setCorners(<a href="../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io">Hexagon.Center</a>&nbsp;center,
                        int&nbsp;size)</pre>
<div class="block">Setter of the corners of the Hexagon.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>center</code> - The Center of the Hexagon</dd>
<dd><code>size</code> - the radius from center to corner</dd>
</dl>
</li>
</ul>
<a name="updateHexagon-int-int-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>updateHexagon</h4>
<pre>void&nbsp;updateHexagon(int&nbsp;x,
                   int&nbsp;y,
                   int&nbsp;size)</pre>
<div class="block">Updates the Hexagon.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - X-Coordinate of the Center of the Hexagon</dd>
<dd><code>y</code> - Y-Coordinate of the Center of the Hexagon</dd>
<dd><code>size</code> - the radius from center to corner</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Hexagon.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../towerwarspp/io/GraphicIO.html" title="class in towerwarspp.io"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/io/Hexagon.html" target="_top">Frames</a></li>
<li><a href="Hexagon.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
